"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const e = require("express");
class WebPlugin {
    constructor() {
        this.CONTEXT_APP_KEY = 'WebPlugin/APP';
        this.CONTEXT_SERVER_KEY = 'WebPlugin/SERVER';
        this.name = 'WebPlugin';
    }
    willStart(app, pluginContext) {
        const express = new e();
        pluginContext.set(this.CONTEXT_APP_KEY, express);
    }
    didStart(app, pluginContext) {
        const express = pluginContext.get(this.CONTEXT_APP_KEY);
        const port = app.getConfig('app.server.port', 10010);
        const server = express.listen(port, () => {
            app.logger.info(`Server started at http://localhost:${port}`);
        });
        pluginContext.set(this.CONTEXT_SERVER_KEY, server);
    }
    willStop(app, pluginContext) {
        const express = pluginContext.get(this.CONTEXT_SERVER_KEY);
        app.logger.info('Shutting down server');
        express.close();
    }
}
exports.default = WebPlugin;
//# sourceMappingURL=WebPlugin.js.map